Obter Cliente
curl --request GET \
--url https://api.spedy.com.br/v1/customers/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.spedy.com.br/v1/customers/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.spedy.com.br/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legalName": "<string>",
"federalTaxNumber": "<string>",
"cityTaxNumber": "<string>",
"stateTaxNumber": "<string>",
"email": "<string>",
"phone": "<string>",
"mobilePhone": "<string>",
"address": {
"street": "<string>",
"district": "<string>",
"postalCode": "<string>",
"number": "<string>",
"additionalInformation": "<string>",
"city": {
"code": "<string>",
"name": "<string>"
},
"country": {
"name": "<string>",
"code": 123
},
"cityName": "<string>"
}
}Clientes
Obter Cliente
GET
/
v1
/
customers
/
{id}
Obter Cliente
Authorizations
Authorization By X-Api-Key inside request's header
Path Parameters
Response
Success
Nome / Nome Fantasia
Maximum string length:
80Razão Social
Maximum string length:
80CPF /CNPJ / Doc. estrangeiro
Maximum string length:
14Inscrição Municipal
Maximum string length:
20Inscrição Estadual
Maximum string length:
20Maximum string length:
50Telefone
Maximum string length:
15Celular
Maximum string length:
15Endereço
Show child attributes
Show child attributes
⌘I